Package org.eclipse.ecf.provider.filetransfer.events.socket

# Class SocketConnectedEvent

java.lang.Object
org.eclipse.ecf.provider.filetransfer.events.socket.AbstractSocketEvent
org.eclipse.ecf.provider.filetransfer.events.socket.SocketConnectedEvent

All Implemented Interfaces:
  `Event`, `ISocketConnectedEvent`, `ISocketEvent`

public class SocketConnectedEvent extends AbstractSocketEvent implements ISocketConnectedEvent

## Constructor Summary

Constructors
Constructor
Description
`SocketConnectedEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getEventName()`
`void`
`setSocket(Socket socket)`
Sets a socket to be used by the app.

### Methods inherited from class org.eclipse.ecf.provider.filetransfer.events.socket.AbstractSocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket`

## Constructor Details

### SocketConnectedEvent

public SocketConnectedEvent(ISocketEventSource source, Socket factorySocket, Socket wrappedSocket)

## Method Details

### getEventName

protected String getEventName()

Specified by:
  `getEventName` in class `AbstractSocketEvent`

### setSocket

public void setSocket(Socket socket)
Description copied from interface: `ISocketConnectedEvent`
Sets a socket to be used by the app.

If this method is not called `ISocketEvent.getFactorySocket()` and `ISocketEvent.getSocket()` will be the same. Otherwise `ISocketEvent.getSocket()` will return the passed in socket.

Specified by:
  `setSocket` in interface `ISocketConnectedEvent`
Overrides:
  `setSocket` in class `AbstractSocketEvent`
Parameters:
  `socket` - socket